# Uses of Interface
org.opensaml.xacml.policy.IdReferenceType

Packages that use IdReferenceType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.
org.opensaml.xacml.profile.saml
XMLObject interfaces for SAML XACML profile.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of IdReferenceType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type IdReferenceType
Modifier and Type
Method
Description
`List<IdReferenceType>`
PolicySetType.`getPolicyIdReferences()`
Gets the policy Id references.
`List<IdReferenceType>`
PolicySetType.`getPolicySetIdReferences()`
Gets the policy set Id references.

## Uses of IdReferenceType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement IdReferenceType
Modifier and Type
Class
Description
`class`
`IdReferenceTypeImpl`
Implementation of `IdReferenceType`.
Methods in org.opensaml.xacml.policy.impl that return IdReferenceType
Modifier and Type
Method
Description
`IdReferenceType`
IdReferenceTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`IdReferenceType`
IdReferenceTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type IdReferenceType
Modifier and Type
Method
Description
`List<IdReferenceType>`
PolicySetTypeImpl.`getPolicyIdReferences()`
Gets the policy Id references.
`List<IdReferenceType>`
PolicySetTypeImpl.`getPolicySetIdReferences()`
Gets the policy set Id references.

## Uses of IdReferenceType in org.opensaml.xacml.profile.saml

Methods in org.opensaml.xacml.profile.saml that return types with arguments of type IdReferenceType
Modifier and Type
Method
Description
`List<IdReferenceType>`
XACMLPolicyQueryType.`getPolicyIdReferences()`
Gets the IDs for referenced policies.
`List<IdReferenceType>`
XACMLPolicyQueryType.`getPolicySetIdReferences()`
Gets the IDs for referenced policy sets.

## Uses of IdReferenceType in org.opensaml.xacml.profile.saml.impl

Methods in org.opensaml.xacml.profile.saml.impl that return types with arguments of type IdReferenceType
Modifier and Type
Method
Description
`List<IdReferenceType>`
XACMLPolicyQueryTypeImpl.`getPolicyIdReferences()`
Gets the IDs for referenced policies.
`List<IdReferenceType>`
XACMLPolicyQueryTypeImpl.`getPolicySetIdReferences()`
Gets the IDs for referenced policy sets.